Subject: Re: Reg: Size difference

From: Adrian Klaver <[email-masked]>
Date: Sat, 14 Sep 2024 10:29:06 -0700

On 9/14/24 10:19, Vinay Oli wrote:
> Hi Team
> 
> I have been using PostgreSQL for the past 6 years. PostgreSQL has 
> significantly impacted my life, providing me with great opportunities 
> for knowledge and self-development.
> 
> I'm currently facing a strange issue with PostgreSQL 15.0. I have a 
> primary-standby setup that is in sync, with a replication slot in place. 
> There are 18 databases, and one of the databases on the primary side is 
> 104 GB, while the same database on the standby side is 216 GB. Both are 
> in sync with zero delay.

How are you measuring the size?

If you are measuring on the files system what is the size of the base/ 
and pg_wal/ sub-directories in the %PG_DATA directoty?

> 
> Could this be a bug? If so, has it been resolved in newer releases? If 
> it is not a bug, how can this issue be fixed? Is there a solution or any 
> supporting documentation available?
> 
> WAL and log files are being rotated properly. The issue is with a 
> database named services_mfs. On the primary cluster, the services_mfs 
> database is 104GB, but on the standby cluster, it is 216GB, even though 
> both cluster are in sync. The standby database is only used in case of a 
> crash, which is managed by a Patroni cluster with etcd.
> 
> 
> 
> Thanks,
> 
> Vinay Kumar
> 
> 
> 

-- 
Adrian Klaver
[email-masked]

---

From: Vinay Oli <[email-masked]>
Date: Sat, 14 Sep 2024 23:40:26 +0530

Hi

 I've checked the database size by meta command \l+ and even I checked from
file system level du -sh 49181 folder. 49181 is the db oid.

Pgwal directory is same 40gb at primary and standby servers.

All the directories are of same size,  49181 folder (oid)  is only having
different size.

Thanks,
Vinay kumar